NET (Agent, Installation)

cancel
Showing results for 
Search instead for 
Did you mean: 

Xamarin project restore with warning after adding AppDynamics agent

Highlighted
Explorer

Hi everyone,

 

I am trying to use AppDynamics in my android app developed with Xamarin, I am working on Macbook, I got this warning when I added AppDynamic agent and restored the project

 

Package 'AppDynamics.Agent 50.3.1101' was restored using '.NETFramework,Version=v4.6.1, .NETFramework,Version=v4.6.2, .NETFramework,Version=v4.7, .NETFramework,Version=v4.7.1, .NETFramework,Version=v4.7.2, .NETFramework,Version=v4.8' instead of the project target framework '.NETStandard,Version=v2.0'. This package may not be fully compatible with your project.

 

I tried a few versions 2020.4.050.3.110150.2.1066, they were all the same result.  When I tried to add a mobile app on AppDynamics control, my app could not connect to AppDynamics. 

 

I got stuck here, is this because I only have .NetStandard library on my laptop?  should I use a Windows laptop with .Net Framework?

 

 

 

 

 

Tags (1)
Xamarin project restore with warning after adding AppDynamics agent